#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
vector <int> solve(vector <int> a) {
    vector <int> b;
    b = a;
    map <int, bool> def;
    vector <int> c;
    vector <int> f;
    for (int i = 0; i < b.size(); i++) {
         if (def[b[i]] == 0) {
             c.push_back(i);
         } else {
           f.push_back(i);
         }
    }
    for (auto i : b) {
         d.push_back(i);
    }
    for (auto i : f) {
         d.push_back(i);
    }
    return d;
}

